//
// !!! WARNING !!! AUTO-GENERATED FILE!
// PLEASE DO NOT MODIFY IT AND USE "platformio.ini":
// https://docs.platformio.org/page/projectconf/section_env_build.html#build-flags
//
{
    "configurations": [
        {
            "name": "PlatformIO",
            "includePath": [
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/LittleFS/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/DNSServer/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/AsyncUDP/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Wire/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Ticker/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPClient/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/EEPROM/src",
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/ESP Async WebServer/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/WiFi/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Network/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/FS/src",
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/AsyncTCP/src",
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/ArduinoJson/src",
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/PubSubClient/src",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/common",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/device",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/class/cdc",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/typec",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include_private",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/esp32s2/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/config",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib/platform_include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/portable/xtensa/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include/freertos",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/arch/xtensa/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/heap/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/platform_port/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/soc",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/include/private",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps/sntp",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/lwip/src/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/freertos/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include/arch",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_ringbuf/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_timer/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/deprecated",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/analog_comparator/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/dac/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/gpio/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/gptimer/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/i2c/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/i2s/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/ledc/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/mcpwm/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/parlio/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/pcnt/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/rmt/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sdio_slave/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sdmmc/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sigma_delta/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/spi/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/temperature_sensor/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/touch_sensor/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/twai/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/uart/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/usb_serial_jtag/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/touch_sensor/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_pm/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/port/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/library",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/esp_crt_bundle/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/everest/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/p256-m",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/p256-m/p256-m",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_app_format/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support/bootloader_flash/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_partition/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_update/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_mm/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/spi_flash/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/pthread/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_trace/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_event/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/nvs_flash/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_phy/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_phy/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/vfs/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_netif/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/port/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/esp_supplicant/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_coex/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_wifi/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_wifi/wifi_apps/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/unity/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/unity/unity/src",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/cmock/CMock/src",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/console",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/http_parser",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp-tls",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp-tls/esp-tls-crypto",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/interface",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/esp32s2/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/deprecated/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_eth/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_gdbstub/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hid/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/tcp_transport/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_client/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_server/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_https_ota/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_psram/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_lcd/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_lcd/interface",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protobuf-c/protobuf-c",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/common",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/security",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/transports",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/crypto/srp6a",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/proto-c",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_local_ctrl/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/espcoredump/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/espcoredump/include/port/xtensa",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wear_levelling/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/sdmmc/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/diskio",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/vfs",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/src",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/idf_test/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/idf_test/include/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ieee802154/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/json/cJSON",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/perfmon/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/touch_element/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_common/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_common/include/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_fsm/include",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_fsm/include/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/usb/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/src",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__mdns/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/dotprod/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/support/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/support/mem/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/hann/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman_harris/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman_nuttall/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/nuttall/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/flat_top/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/iir/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/fir/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/add/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/sub/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/mul/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/addc/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/mulc/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/sqrt/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mul/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/add/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/addc/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mulc/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/sub/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/fft/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/dct/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/conv/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/common/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mul/test/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/kalman/ekf/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/kalman/ekf_imu13states/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp_modem/include",
                "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/joltwallet__littlefs/include",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/variants/esp32s2",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/cores/esp32",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/ArduinoOTA/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/ESPmDNS/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Ethernet/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/FFat/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPUpdate/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/NetBIOS/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/PPP/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Preferences/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SD_MMC/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SD/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SPI/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Update/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/USB/src",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/WebServer/src",
                "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include/freertos",
                "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/esp-idf/src/ulp_main",
                "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPUpdateServer/src",
                ""
            ],
            "browse": {
                "limitSymbolsToIncludedHeaders": true,
                "path": [
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/LittleFS/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/DNSServer/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/AsyncUDP/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Wire/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Ticker/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPClient/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/EEPROM/src",
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/ESP Async WebServer/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/WiFi/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Network/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/FS/src",
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/AsyncTCP/src",
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/ArduinoJson/src",
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/libdeps/esp32s2/PubSubClient/src",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/common",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/device",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/class/cdc",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/typec",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include_private",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/esp32s2/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/config",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib/platform_include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/portable/xtensa/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include/freertos",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/arch/xtensa/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/heap/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/platform_port/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/soc",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/include/private",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps/sntp",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/lwip/src/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/freertos/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include/arch",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_ringbuf/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/efuse/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_timer/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/deprecated",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/analog_comparator/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/dac/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/gpio/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/gptimer/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/i2c/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/i2s/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/ledc/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/mcpwm/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/parlio/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/pcnt/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/rmt/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sdio_slave/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sdmmc/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/sigma_delta/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/spi/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/temperature_sensor/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/touch_sensor/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/twai/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/uart/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/usb_serial_jtag/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/driver/touch_sensor/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_pm/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/port/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/library",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/esp_crt_bundle/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/everest/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/p256-m",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/mbedtls/mbedtls/3rdparty/p256-m/p256-m",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_app_format/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/bootloader_support/bootloader_flash/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_partition/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_update/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_mm/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/spi_flash/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/pthread/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/app_trace/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_event/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/nvs_flash/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_phy/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_phy/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/vfs/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_netif/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/port/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wpa_supplicant/esp_supplicant/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_coex/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_wifi/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_wifi/wifi_apps/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/unity/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/unity/unity/src",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/cmock/CMock/src",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/console",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/http_parser",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp-tls",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp-tls/esp-tls-crypto",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/interface",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/esp32s2/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_adc/deprecated/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_eth/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_gdbstub/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hid/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/tcp_transport/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_client/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_http_server/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_https_ota/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_psram/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_lcd/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_lcd/interface",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protobuf-c/protobuf-c",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/common",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/security",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/transports",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/include/crypto/srp6a",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/protocomm/proto-c",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_local_ctrl/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/espcoredump/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/espcoredump/include/port/xtensa",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/wear_levelling/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/sdmmc/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/diskio",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/vfs",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/fatfs/src",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/idf_test/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/idf_test/include/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ieee802154/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/json/cJSON",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/perfmon/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/touch_element/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_common/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_common/include/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_fsm/include",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/ulp/ulp_fsm/include/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/usb/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/src",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__mdns/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/dotprod/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/support/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/support/mem/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/hann/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman_harris/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/blackman_nuttall/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/nuttall/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/windows/flat_top/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/iir/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/fir/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/add/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/sub/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/mul/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/addc/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/mulc/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/math/sqrt/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mul/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/add/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/addc/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mulc/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/sub/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/fft/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/dct/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/conv/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/common/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/matrix/mul/test/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/kalman/ekf/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp-dsp/modules/kalman/ekf_imu13states/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/espressif__esp_modem/include",
                    "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/managed_components/joltwallet__littlefs/include",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/variants/esp32s2",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/cores/esp32",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/ArduinoOTA/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/ESPmDNS/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Ethernet/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/FFat/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPUpdate/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/NetBIOS/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/PPP/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Preferences/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SD_MMC/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SD/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/SPI/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/Update/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/USB/src",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/WebServer/src",
                    "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include/freertos",
                    "e:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/esp-idf/src/ulp_main",
                    "C:/Users/Anton/.platformio/packages/framework-arduinoespressif32-src-a6d082301a39041b8aa64f7b654ea895/libraries/HTTPUpdateServer/src",
                    ""
                ]
            },
            "defines": [
                "configENABLE_FREERTOS_DEBUG_OCDAWARE=1",
                "_POSIX_READER_WRITER_LOCKS",
                "_GNU_SOURCE",
                "SOC_MMU_PAGE_SIZE=CONFIG_MMU_PAGE_SIZE",
                "IDF_VER=\"5.1.4.240801\"",
                "ESP_PLATFORM",
                "CONFIG_USB_ENABLED=1",
                "CONFIG_USB_CDC_ENABLED=1",
                "CONFIG_TINYUSB_ENABLED=1",
                "CONFIG_TINYUSB_CDC_ENABLED=1",
                "CONFIG_AUTOSTART_ARDUINO=1",
                "CFG_TUSB_OS_INC_PATH=freertos/",
                "CFG_TUSB_MCU=OPT_MCU_ESP32S2",
                "ARDUINO_USB_MODE=0",
                "ARDUINO_USB_CDC_ON_BOOT=0",
                "PLATFORMIO=60116",
                "ARDUINO_ESP32S2_DEV",
                "LOG_FREE_HEAP",
                "LOGLEVEL=2",
                "WM_DEBUG_LEVEL=DEBUG_MAX",
                "DEBUG_ESP_WIFI",
                "DEBUG_ESP_CORE",
                "BOARD_HAS_PSRAM",
                "FIRMWARE_VERSION=\"1.1.1\"",
                "MBEDTLS_CONFIG_FILE=\"mbedtls/esp_config.h\"",
                "ARDUINO=10812",
                "ARDUINO_ARCH_ESP32",
                "ARDUINO_BOARD=\"ESP32S2_DEV\"",
                "ARDUINO_VARIANT=\"esp32s2\"",
                "ESP32=ESP32",
                ""
            ],
            "cStandard": "gnu17",
            "cppStandard": "gnu++23",
            "compilerPath": "C:/Users/Anton/.platformio/packages/toolchain-xtensa-esp32s2/bin/xtensa-esp32s2-elf-gcc.exe",
            "compilerArgs": [
                "-mlongcalls",
                ""
            ]
        }
    ],
    "version": 4
}
